## potool 0.4

=== Makefile ===
#
# potool is a program aiding editing of po files
# Copyright (C) 1999-2000 Zbigniew Chyla
# Copyright (C) 2000-2001 Marcin Owsiany
#
# see LICENSE for licensing info
#

VER = 0.4

DESTDIR = /usr/local
BINDIR = $(DESTDIR)/bin
INSTALL = install
BININSTALL = $(INSTALL) -s

GLIB_LIB = `glib-config --libs glib`
GLIB_INCLUDE = `glib-config --cflags glib`
CFLAGS = $(GLIB_INCLUDE) -g -Wall -O2
LDFLAGS = $(GLIB_LIB)

THINGS  = potool po.tab lex.po
OBJS    = $(addsuffix .o, $(THINGS))
SOURCES = $(addsuffix .c, $(THINGS))

potool: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^

$(OBJS): %.o : %.c

po.tab.o lex.po.c lex.po.o: po-gram.h

lex.po.c: po-gram.lex
	flex -Ppo $<

po.tab.c: po-gram.y
	bison -ppo -bpo -d $<

install: potool
	$(BININSTALL) potool $(BINDIR)
	$(INSTALL) scripts/poedit $(BINDIR)
	$(INSTALL) scripts/postats $(BINDIR)
	$(INSTALL) scripts/postats1 $(BINDIR)
	$(INSTALL) scripts/poupdate $(BINDIR)

clean:
	rm -f $(OBJS) *~ lex.po.c po.tab.[ch] potool scripts/*~

dist:
	cd ..; \
	 rm -f potool_$(VER).tar.gz potool-$(VER); \
	 ln -s potool potool-$(VER); \
	 tar -hcf potool_$(VER).tar potool-$(VER) && gzip -9 potool_$(VER).tar

## potool 0.5

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,20 @@
 #
 # potool is a program aiding editing of po files
-# Copyright (C) 1999-2000 Zbigniew Chyla
-# Copyright (C) 2000-2001 Marcin Owsiany
+# Copyright (C) 1999-2002 Zbigniew Chyla
+# Copyright (C) 2000-2003 Marcin Owsiany
 #
 # see LICENSE for licensing info
 #
 
-VER = 0.4
+VER = 0.5
 
 DESTDIR = /usr/local
 BINDIR = $(DESTDIR)/bin
 INSTALL = install
 BININSTALL = $(INSTALL) -s
 
-GLIB_LIB = `glib-config --libs glib`
-GLIB_INCLUDE = `glib-config --cflags glib`
+GLIB_LIB = $(shell pkg-config --libs glib-2.0)
+GLIB_INCLUDE = $(shell pkg-config --cflags glib-2.0)
 CFLAGS = $(GLIB_INCLUDE) -g -Wall -O2
 LDFLAGS = $(GLIB_LIB)
 
@@ -27,7 +27,7 @@
 
 $(OBJS): %.o : %.c
 
-po.tab.o lex.po.c lex.po.o: po-gram.h
+po.tab.o lex.po.c lex.po.o: po-gram.h common.h
 
 lex.po.c: po-gram.lex
 	flex -Ppo $<
@@ -49,4 +49,4 @@
 	cd ..; \
 	 rm -f potool_$(VER).tar.gz potool-$(VER); \
 	 ln -s potool potool-$(VER); \
-	 tar -hcf potool_$(VER).tar potool-$(VER) && gzip -9 potool_$(VER).tar
+	 tar -hcf potool-$(VER).tar potool-$(VER) && gzip -9 potool-$(VER).tar

## potool 0.9

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,18 @@
 #
 # potool is a program aiding editing of po files
 # Copyright (C) 1999-2002 Zbigniew Chyla
-# Copyright (C) 2000-2003 Marcin Owsiany
+# Copyright (C) 2000-2007 Marcin Owsiany
 #
 # see LICENSE for licensing info
 #
 
-VER = 0.5
+VER = 0.9
 
 DESTDIR = /usr/local
 BINDIR = $(DESTDIR)/bin
 INSTALL = install
 BININSTALL = $(INSTALL) -s
+GTAR = tar
 
 GLIB_LIB = $(shell pkg-config --libs glib-2.0)
 GLIB_INCLUDE = $(shell pkg-config --cflags glib-2.0)
@@ -31,6 +32,7 @@
 
 lex.po.c: po-gram.lex
 	flex -Ppo $<
+#	flex --debug -Ppo $<
 
 po.tab.c: po-gram.y
 	bison -ppo -bpo -d $<
@@ -47,6 +49,7 @@
 
 dist:
 	cd ..; \
-	 rm -f potool_$(VER).tar.gz potool-$(VER); \
+	 rm -f potool-$(VER).tar{,.gz} potool-$(VER); \
 	 ln -s potool potool-$(VER); \
-	 tar -hcf potool-$(VER).tar potool-$(VER) && gzip -9 potool-$(VER).tar
+	 $(GTAR) --exclude='*/CVS' --exclude='*/.cvsignore' --owner=root --group=root -hcf potool-$(VER).tar potool-$(VER) && \
+	 gzip -9 potool-$(VER).tar

## potool 0.10

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # see LICENSE for licensing info
 #
 
-VER = 0.9
+VER = 0.10
 
 DESTDIR = /usr/local
 BINDIR = $(DESTDIR)/bin
@@ -41,13 +41,13 @@
 	$(BININSTALL) potool $(BINDIR)
 	$(INSTALL) scripts/poedit $(BINDIR)
 	$(INSTALL) scripts/postats $(BINDIR)
-	$(INSTALL) scripts/postats1 $(BINDIR)
 	$(INSTALL) scripts/poupdate $(BINDIR)
+	$(INSTALL) change-po-charset $(BINDIR)
 
 clean:
 	rm -f $(OBJS) *~ lex.po.c po.tab.[ch] potool scripts/*~
 
-dist:
+dist: clean
 	cd ..; \
 	 rm -f potool-$(VER).tar{,.gz} potool-$(VER); \
 	 ln -s potool potool-$(VER); \

## potool 0.12

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
 # potool is a program aiding editing of po files
 # Copyright (C) 1999-2002 Zbigniew Chyla
-# Copyright (C) 2000-2007 Marcin Owsiany
+# Copyright (C) 2000-2011 Marcin Owsiany
 #
 # see LICENSE for licensing info
 #
 
-VER = 0.10
+VER = 0.12
 
 DESTDIR = /usr/local
 BINDIR = $(DESTDIR)/bin
@@ -17,16 +17,13 @@
 GLIB_LIB = $(shell pkg-config --libs glib-2.0)
 GLIB_INCLUDE = $(shell pkg-config --cflags glib-2.0)
 CFLAGS = $(GLIB_INCLUDE) -g -Wall -O2
-LDFLAGS = $(GLIB_LIB)
+LDLIBS = $(GLIB_LIB)
 
 THINGS  = potool po.tab lex.po
 OBJS    = $(addsuffix .o, $(THINGS))
 SOURCES = $(addsuffix .c, $(THINGS))
 
 potool: $(OBJS)
-	$(CC) $(LDFLAGS) -o $@ $^
-
-$(OBJS): %.o : %.c
 
 po.tab.o lex.po.c lex.po.o: po-gram.h common.h

## potool 0.15

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
 # potool is a program aiding editing of po files
 # Copyright (C) 1999-2002 Zbigniew Chyla
-# Copyright (C) 2000-2011 Marcin Owsiany
+# Copyright (C) 2000-2012 Marcin Owsiany
 #
 # see LICENSE for licensing info
 #
 
-VER = 0.12
+VER = 0.15
 
 DESTDIR = /usr/local
 BINDIR = $(DESTDIR)/bin
@@ -16,8 +16,9 @@
 
 GLIB_LIB = $(shell pkg-config --libs glib-2.0)
 GLIB_INCLUDE = $(shell pkg-config --cflags glib-2.0)
-CFLAGS = $(GLIB_INCLUDE) -g -Wall -O2
-LDLIBS = $(GLIB_LIB)
+CPPFLAGS += $(GLIB_INCLUDE)
+CFLAGS += -g -Wall -Werror -O2
+LDLIBS += $(GLIB_LIB)
 
 THINGS  = potool po.tab lex.po
 OBJS    = $(addsuffix .o, $(THINGS))
@@ -35,6 +36,7 @@
 	bison -ppo -bpo -d $<
 
 install: potool
+	$(INSTALL) -d $(BINDIR)
 	$(BININSTALL) potool $(BINDIR)
 	$(INSTALL) scripts/poedit $(BINDIR)
 	$(INSTALL) scripts/postats $(BINDIR)
@@ -48,5 +50,8 @@
 	cd ..; \
 	 rm -f potool-$(VER).tar{,.gz} potool-$(VER); \
 	 ln -s potool potool-$(VER); \
-	 $(GTAR) --exclude='*/CVS' --exclude='*/.cvsignore' --owner=root --group=root -hcf potool-$(VER).tar potool-$(VER) && \
+	 $(GTAR) --exclude='*/.git*' --owner=root --group=root -hcf potool-$(VER).tar potool-$(VER) && \
 	 gzip -9 potool-$(VER).tar
+
+check: potool
+	cd tests && bash test

=== debian/changelog ===
potool (0.15-1) unstable; urgency=low

  * New version
    - fixes poedit on files with obsolete entries

 -- Marcin Owsiany <porridge@debian.org>  Fri, 17 Aug 2012 18:43:35 +0200

potool (0.14-1) unstable; urgency=low

  * New version
    - documents the fact that text gets reformatted. Closes: #602884
    - adds support for "previous" strings. Closes: #641949
    - uses a more sane error handling function, which does not dump core.
      Closes: #567940
    - directly handles sensible-editor in poedit, making the debian change
      obsolete
  * Modernize the build system.
    - use dh and compat level 8
    - for poedit vs potooledit, rather than patching the Makefile, fix up
      filenames after installation
    - bump standards-version to 3.9.3
    - change the Conflicts on poedit to a Breaks, as recommended by the policy
    - update debian/copyright
    - use source format 3

 -- Marcin Owsiany <porridge@debian.org>  Thu, 16 Aug 2012 11:49:05 +0200

potool (0.12-1) unstable; urgency=low

  * New version.
    - Use the (correct) implicit rule to link potool. Fixes ubuntu bug 771140.
  * Ignore debhelper logfile.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 14 Jun 2011 08:41:17 +0200

potool (0.11-2) unstable; urgency=high

  * Update Polish manpage path in update-alternatives invocation. The wrong
    path (apart from making the Polish manpage version unavailable via 'poedit'
    name) caused postinst failures with lenny's dpkg version, which made it a
    grave bug. Closes: #597321

 -- Marcin Owsiany <porridge@debian.org>  Sat, 18 Sep 2010 18:14:37 +0100

potool (0.11-1) unstable; urgency=medium

  * New version. Upstream and Debian are now maintained in the same Git
    repository.
  * Includes a patch to poedit from Jakub Wilk for tempfile naming and
    cleanup. Closes: #533833, #533835
  * Includes changes to check return codes/values from calls which can write
    to the filesystem. Closes: #546811
  * Includes some manpage undefined macro cleanups.
  * Policy version update:
     - use filter function to parse DEB_BUILD_OPTIONS (elements are now
       whitespace-separated)
     - run the test suite after building
     - change the localized manpages path to not include country and encoding
     - do not ignore make clean errors
     - update the homepage URL and move it from the description to the
       dedicated header

 -- Marcin Owsiany <porridge@debian.org>  Fri, 25 Sep 2009 21:47:59 +0100

potool (0.10-1) unstable; urgency=low

  * New upstream version
    - poedit now does some recoding, which hopefully Closes: #297074
  * Added a watch file
  * Fixed install to obey nostrip. Closes: #437784
  * Install all the new manpages properly, get rid of symlinks
  * Get rid of the README.PL, now that all documentation is propely in the
    manpages
  * Document that postats1 is gone in Debian.NEWS

 -- Marcin Owsiany <porridge@debian.org>  Tue, 25 Sep 2007 10:30:02 +0100

potool (0.9-1) unstable; urgency=medium

  * New upstream revision
    - fixed plural entries support in filtering, merging and copying msgids

 -- Marcin Owsiany <porridge@debian.org>  Tue, 15 May 2007 14:19:04 +0100

potool (0.8-1) unstable; urgency=medium

  * New upstream revision
    - fixed a segfault when filtering plural entries
    - fixed some memleaks

 -- Marcin Owsiany <porridge@debian.org>  Tue, 15 May 2007 11:19:23 +0100

potool (0.7-2) unstable; urgency=low

  * Added a link to the new program's home page in description and copyright

 -- Marcin Owsiany <porridge@debian.org>  Thu, 10 May 2007 22:28:45 +0100

potool (0.7-1) unstable; urgency=low

  * New upstream revision
    - adds support for msgid_plural and msgstr[N]. Closes: #422820
    - adds error checking to postats scripts. Closes: #422835
  * Changed from patching Makefile to set some variables to setting them on
    make command line in debian/rules

 -- Marcin Owsiany <porridge@debian.org>  Thu, 10 May 2007 20:47:01 +0100

potool (0.6-1) unstable; urgency=low

  * New upstream revision
    - updates sort invocation syntax in postats{,1}. Closes: #416165
  * debian/copyright: updated project website address and added CVS repository
    location
  * Update Standards-Version to 3.7.2 (no changes needed)

 -- Marcin Owsiany <porridge@debian.org>  Sun, 25 Mar 2007 16:20:59 +0100

potool (0.5-2) unstable; urgency=low

  * Use alternatives mechanism to provide /usr/bin/poedit, since poedit
    package wants to change /usr/bin/poeditor to /usr/bin/poedit to match
    upstream name. Closes: #206062
  * Change dh compat mode to 4
     - added recommended ${misc:Depends}
  * Add conflicts with an old version of poedit, which used to provide
    /usr/bin/poedit as a non-alternative

 -- Marcin Owsiany <porridge@debian.org>  Sun, 24 Aug 2003 15:37:18 +0200

potool (0.5-1) unstable; urgency=low

  * New upstream release - doesn't choke on obsolete entries with comments.
  * Pay attention to DEB_BUILD_OPTIONS
  * Updated standards-version

 -- Marcin Owsiany <porridge@debian.org>  Tue,  1 Jul 2003 16:30:14 +0200

potool (0.4-1) unstable; urgency=low

  * New upstream release - fixes a bug which causes potool to use
    the tags from old file, instead the new one.

 -- Marcin Owsiany <porridge@debian.org>  Tue,  8 Jan 2002 20:46:40 +0100

potool (0.3-1) unstable; urgency=low

  * New upstream release (added #include <stdlib.h>)
  * Changed $EDITOR in poedit to $EDITCMD - otherwise sensible-editor loops.

 -- Marcin Owsiany <porridge@debian.org>  Fri, 23 Nov 2001 01:41:26 +0100

potool (0.2-2) unstable; urgency=low

  * Changed my address in the manpage
  * Update Standards-Version to 3.5.6.0

 -- Marcin Owsiany <porridge@debian.org>  Mon,  5 Nov 2001 09:56:18 +0100

potool (0.2-1) unstable; urgency=low

  * New upstream release
  * poedit now uses sensible-editor
  * Added source-depends on debhelper
  * Removed -d flag on compilation
  * Updated Standards-Version to 3.5.3.0



=== debian/control ===
Source: potool
Section: utils
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Standards-Version: 3.9.3
Build-Depends: libglib2.0-dev, bison, flex, debhelper (>= 8)

Package: potool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: poedit (<< 1.0.3-2)
Homepage: http://marcin.owsiany.pl/potool-page
Description: program to aid manipulation of gettext po files
 This package contains the filter program 'potool', as well
 as a few helper scripts:
  poedit  - helps editing of po files in your favourite editor
  postats - prints statistics of how much of a file is translated

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2012 Marcin Owsiany <porridge@debian.org>

export DH_VERBOSE=1
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=`pwd`/debian/potool BINDIR='$$(DESTDIR)/usr/bin' BININSTALL=install
# filename conflict with the poedit package, handled via alternatives
	mv debian/potool/usr/bin/poedit debian/potool/usr/bin/potooledit
# low quality, Polish-specific
	rm debian/potool/usr/bin/poupdate

override_dh_installman:
	dh_installman
# filename conflict with the poedit package, handled via alternatives
	rename 's,poedit[.]1,potooledit.1,' debian/potool/usr/share/man/*/man1/poedit.1 debian/potool/usr/share/man/man1/poedit.1

## potool 0.16

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 GLIB_LIB = $(shell pkg-config --libs glib-2.0)
 GLIB_INCLUDE = $(shell pkg-config --cflags glib-2.0)
 CPPFLAGS += $(GLIB_INCLUDE)
-CFLAGS += -g -Wall -Werror -O2
+CFLAGS += -g -Wall -Werror
 LDLIBS += $(GLIB_LIB)
 
 THINGS  = potool po.tab lex.po
@@ -55,3 +55,4 @@
 
 check: potool
 	cd tests && bash test
+# make clean check G_SLICE=always-malloc WRAPPER='valgrind --leak-check=full --show-reachable=yes --error-exitcode=1' CC=colorgcc CFLAGS="-O0 -Wall -Werror"

=== debian/changelog ===
potool (0.16-4) unstable; urgency=medium

  * Bumped debhelper compat level to 9
  * Bumped Standards-Version, no changes needed
  * Added Vcs-* headers, moved the Homepage one to the top stanza
  * Declared a dependency on sensible-utils
  * Removed explicit setting of *FLAGS, as dh does this more correctly
  * Enabled all hardening options

 -- Marcin Owsiany <porridge@debian.org>  Mon, 04 Mar 2019 21:42:07 +0100

potool (0.16-3) unstable; urgency=medium

  * Updated standards-version, no changes needed
  * Declare build-dependency on rename. Closes: #876619

 -- Marcin Owsiany <porridge@debian.org>  Sun, 24 Sep 2017 21:00:55 +0200

potool (0.16-2) unstable; urgency=low

  * Upload to sid.
  * Bumped standards-version.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 22 Apr 2014 08:49:22 +0200

potool (0.16-1) experimental; urgency=low

  * New version
    - adds an option to preserve formatting. Closes: #518903

 -- Marcin Owsiany <porridge@debian.org>  Sat, 15 Sep 2012 11:37:56 +0100

=== debian/control ===
Source: potool
Section: utils
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Standards-Version: 4.3.0
Build-Depends: libglib2.0-dev, bison, flex, debhelper (>> 9), rename
Vcs-Git: https://github.com/porridge/potool -b debian
Vcs-Browser: https://github.com/porridge/potool/tree/debian
Homepage: http://marcin.owsiany.pl/potool-page

Package: potool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sensible-utils
Breaks: poedit (<< 1.0.3-2)
Description: program to aid manipulation of gettext po files
 This package contains the filter program 'potool', as well
 as a few helper scripts:
  poedit  - helps editing of po files in your favourite editor
  postats - prints statistics of how much of a file is translated

=== debian/watch ===
version=3
http://marcin.owsiany.pl/potool.en.html potool/potool-(\d[^[:space:]]*)\.(?:tar\.gz|tgz|tar\.bz2|tbz|tbz2)

## potool 0.17

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,22 @@
 #
 # potool is a program aiding editing of po files
 # Copyright (C) 1999-2002 Zbigniew Chyla
-# Copyright (C) 2000-2012 Marcin Owsiany
+# Copyright (C) 2000-2019 Marcin Owsiany
 #
 # see LICENSE for licensing info
 #
 
-VER = 0.15
+VER = 0.17
 
 DESTDIR = /usr/local
 BINDIR = $(DESTDIR)/bin
 INSTALL = install
 BININSTALL = $(INSTALL) -s
 GTAR = tar
+PKG_CONFIG ?= pkg-config
 
-GLIB_LIB = $(shell pkg-config --libs glib-2.0)
-GLIB_INCLUDE = $(shell pkg-config --cflags glib-2.0)
+GLIB_LIB = $(shell $(PKG_CONFIG) --libs glib-2.0)
+GLIB_INCLUDE = $(shell $(PKG_CONFIG) --cflags glib-2.0)
 CPPFLAGS += $(GLIB_INCLUDE)
 CFLAGS += -g -Wall -Werror
 LDLIBS += $(GLIB_LIB)

=== debian/changelog ===
potool (0.17-1) unstable; urgency=medium

  * New upstream version
    - makes it possible to pass custom pkg-config path, which helps
      cross-building. Closes: #930959
  * Bumped Standards-Version, no changes needed

 -- Marcin Owsiany <porridge@debian.org>  Sat, 10 Aug 2019 18:07:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: libglib2.0-dev, bison, flex, debhelper (>> 9), rename
 Vcs-Git: https://github.com/porridge/potool -b debian
 Vcs-Browser: https://github.com/porridge/potool/tree/debian

## potool 0.18

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # see LICENSE for licensing info
 #
 
-VER = 0.17
+VER = 0.18
 
 DESTDIR = /usr/local
 BINDIR = $(DESTDIR)/bin

=== debian/changelog ===
potool (0.18-1) unstable; urgency=medium

  * New upstream version
    - fixes FTBFS with newer GCC due to deprecation warnings
  * Bumped Standards-Version, no changes needed

 -- Marcin Owsiany <porridge@debian.org>  Mon, 11 Nov 2019 06:50:10 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Build-Depends: libglib2.0-dev, bison, flex, debhelper (>> 9), rename
 Vcs-Git: https://github.com/porridge/potool -b debian
 Vcs-Browser: https://github.com/porridge/potool/tree/debian

## potool 0.19

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # see LICENSE for licensing info
 #
 
-VER = 0.18
+VER = 0.19
 
 DESTDIR = /usr/local
 BINDIR = $(DESTDIR)/bin

=== debian/changelog ===
potool (0.19-1) unstable; urgency=medium

  * New upstream version
    - fixes FTBFS with GCC 10 due to strict treatment of extern
      declarations. Closes: #957702

 -- Marcin Owsiany <porridge@debian.org>  Fri, 17 Apr 2020 21:33:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,8 @@
 #!/usr/bin/make -f
-# Copyright 2012 Marcin Owsiany <porridge@debian.org>
+# Copyright 2012,2019 Marcin Owsiany <porridge@debian.org>
 
 export DH_VERBOSE=1
-export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
-export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 %:
 	dh $@

=== debian/tests/control ===
Test-Command: test $(potool -n ctxt -n str -n dcmt -n linf -s -fnt debian/tests/data/smoke-test-input.po) -eq 0
Features: test-name=smoke
